pipewire (1.6.4-1ubuntu1) stonking; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Enable pipewire jack emulation
    - Create new binary packages for pipewire and spa modules
      These ones have universe dependencies
    - Enable AAC codec
      - libfdk-aac is in universe for now (MIR #1977614) but it's a separate
       .so which can be included in the new libspa-0.2-modules-extra
       binary (lp #1991936)
    - Add apport package hook
    - Set -DDbluez5-plc-spandsp to disabled for now
      The spandsp package is in universe and the option doesn't generate a
      separate binary which can be moved to extra.
    - Build without onnxruntime on i386
  * Dropped changes:
    - d/p/git-const-recast.patch:
      + cherry pick upstream build fixes

 -- Simon Quigley <tsimonq2@debian.org>  Tue, 05 May 2026 17:24:58 -0500

pipewire (1.6.4-1) unstable; urgency=medium

  * New upstream release
  * Drop unused LGPL-2+ paragraph in debian/copyright

 -- Dylan Aïssi <daissi@debian.org>  Thu, 23 Apr 2026 08:22:23 +0200

pipewire (1.6.3-1) unstable; urgency=medium

  * New upstream release
  * Add lintian-overrides for pkg-config-bad-directive
  * Standards-Version: 4.7.4 (no changes required)
  * Update debian/copyright
  * salsa-ci: don't allow licenserecon to fail

 -- Dylan Aïssi <daissi@debian.org>  Thu, 09 Apr 2026 18:13:29 +0200

pipewire (1.6.2-1ubuntu1) resolute; urgency=medium

  * d/p/git-const-recast.patch:
    - cherry pick upstream build fixes

  [ Charles ]
  * Merge with Debian unstable (LP: #2145009). Remaining changes:
    - Enable pipewire jack emulation
    - Create new binary packages for pipewire and spa modules
      These ones have universe dependencies
    - Enable AAC codec
      - libfdk-aac is in universe for now (MIR #1977614) but it's a separate
       .so which can be included in the new libspa-0.2-modules-extra
       binary (lp #1991936)
    - Add apport package hook
    - Set -DDbluez5-plc-spandsp to disabled for now
      The spandsp package is in universe and the option doesn't generate a
      separate binary which can be moved to extra.
    - Build without onnxruntime on i386
  * d/p/git-socket-activation.patch:
    - Drop patch included in upstream release (1.6.1)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 20 Mar 2026 20:17:07 +0100

pipewire (1.6.2-1) unstable; urgency=medium

  * New upstream release

 -- Dylan Aïssi <daissi@debian.org>  Tue, 17 Mar 2026 13:38:48 +0100

pipewire (1.6.1-1) unstable; urgency=medium

  * New upstream release
  * Upload to unstable
  * Remove redundant 'Priority: optional'
  * Standards-Version: 4.7.3 (no changes required)
  * Switch to pkgconf (from pkg-config) in testsuite Depends
  * salsa-ci: enable licenserecon and drop reprotest
  * salsa-ci: allow licenserecon to fail for now

 -- Dylan Aïssi <daissi@debian.org>  Mon, 09 Mar 2026 13:55:41 +0100

pipewire (1.6.0-1ubuntu2) resolute; urgency=medium

  * debian/patches/git-socket-activation.patch:
    - cherry pick upstream change to fix socket activation

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 09 Mar 2026 08:43:25 +0100

pipewire (1.6.0-1ubuntu1) resolute; urgency=medium

  * Merge with Debian experimental. Remaining changes:
    - Enable pipewire jack emulation
    - Create new binary packages for pipewire and spa modules
      These ones have universe dependencies
    - Enable AAC codec
      - libfdk-aac is in universe for now (MIR #1977614) but it's a separate
       .so which can be included in the new libspa-0.2-modules-extra
       binary (lp #1991936)
    - Add apport package hook
    - Set -DDbluez5-plc-spandsp to disabled for now
      The spandsp package is in universe and the option doesn't generate a
      separate binary which can be moved to extra.
    - Build without onnxruntime on i386

 -- Charles <charles05@canonical.com>  Thu, 27 Feb 2026 13:10:32 +0000

pipewire (1.6.0-1) experimental; urgency=medium

  [ Dylan Aïssi ]
  * New upstream release

  [ Luca Boccassi ]
  * Use dh sequence instead of manual call in d/rules
  * Drop unused adduser dependency

 -- Dylan Aïssi <daissi@debian.org>  Thu, 19 Feb 2026 11:43:23 +0100

pipewire (1.5.85-1ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Enable pipewire jack emulation
    - Create new binary packages for pipewire and spa modules
      These ones have universe dependencies
    - Enable AAC codec
      - libfdk-aac is in universe for now (MIR #1977614) but it's a separate
       .so which can be included in the new libspa-0.2-modules-extra
       binary (lp #1991936)
    - Add apport package hook
    - Set -DDbluez5-plc-spandsp to disabled for now
      The spandsp package is in universe and the option doesn't generate a
      separate binary which can be moved to extra.
    - Build without onnxruntime on i386

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 13 Feb 2026 15:37:16 +0100

pipewire (1.5.85-1) experimental; urgency=medium

  * New upstream release (1.6 release candidate 5)
    (Closes: #1125964)

 -- Dylan Aïssi <daissi@debian.org>  Mon, 19 Jan 2026 17:16:39 +0100

pipewire (1.5.84-1ubuntu3) resolute; urgency=medium

  * Rebuild with the new libcamera soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 02 Feb 2026 16:43:10 +0100

pipewire (1.5.84-1ubuntu2) resolute; urgency=medium

  * Build without onnxruntime on i386
  * Cherry pick upstream changes to fix a bluetooth segfault
    (lp: #2137545)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 14 Jan 2026 11:26:01 +0100

pipewire (1.5.84-1ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Enable pipewire jack emulation
    - Create new binary packages for pipewire and spa modules
      These ones have universe dependencies
    - Enable AAC codec
      - libfdk-aac is in universe for now (MIR #1977614) but it's a separate
       .so which can be included in the new libspa-0.2-modules-extra
       binary (lp #1991936)
    - Add apport package hook
  * New change
    - Set -DDbluez5-plc-spandsp to disabled for now
      The spandsp package is in universe and the option doesn't generate a
      separate binary which can be moved to extra.

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 13 Jan 2026 21:35:10 +0100

pipewire (1.5.84-1) experimental; urgency=medium

  [ Dylan Aïssi ]
  * New upstream release (1.6 release candidate 4)
  * Remove Fix_services.patch, this was required to avoid conflict
    with pipewire-media-session due to a bug in systemd. systemd is fixed
    since v253 and pipewire-media-session is no longer available since Trixie,
    so no reason to keep it.
  * d/rules: increase test timeout for alpha.

  [ Charles ]
  * d/tests: Update manual-tests.md for modern releases.

 -- Dylan Aïssi <daissi@debian.org>  Mon, 01 Dec 2025 15:56:30 +0100

pipewire (1.5.83-1) experimental; urgency=medium

  * New upstream release (1.6 release candidate 3)
  * Disable onnxruntime on unsupported architectures
  * Remove redundant "Rules-Requires-Root: no"

 -- Dylan Aïssi <daissi@debian.org>  Thu, 06 Nov 2025 17:29:27 +0100

pipewire (1.5.81-1) experimental; urgency=medium

  * New upstream release (1.6 release candidate 1)
  * Disable bluez5-codec-ldac-dec, not yet available in Debian
  * Enable bluez5-plc-spandsp, add libspandsp-dev in Build-Deps
  * Enable onnxruntime, add libonnxruntime-dev in Build-Deps
  * Install new binaries (pw-midi2play, pw-midi2record and pw-sysex)
      in pipewire-bin
  * Update symbols file
  * Convert watch to version 5 and use Gitlab template
  * Skip the new test spa-benchmark-aec.test,
      it requires sample files.

 -- Dylan Aïssi <daissi@debian.org>  Thu, 16 Oct 2025 12:34:32 +0200

pipewire (1.4.10-1) unstable; urgency=medium

  * New upstream release
  * Update symbols file: add 5 new symbols
  * Update debian/watch to only track the series 1.4.*

 -- Dylan Aïssi <daissi@debian.org>  Mon, 19 Jan 2026 10:08:49 +0100

pipewire (1.4.9-1ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Create new binary packages for a subset of pipewire and spa modules
      - Specifically the ones which have universe dependencies
    - Enable AAC codec
      - libfdk-aac is in universe for now (MIR #1977614) but it's a separate
        .so which can be included in the new libspa-0.2-modules-extra
        binary (LP: #1991936)
    - Add apport package hook
    - Enable pipewire jack emulation by default

 -- Charles <charles05@canonical.com>  Thu, 06 Nov 2025 09:29:26 +0100

pipewire (1.4.9-1) unstable; urgency=medium

  * New upstream release

 -- Dylan Aïssi <daissi@debian.org>  Thu, 09 Oct 2025 14:16:54 +0200

pipewire (1.4.8-1) unstable; urgency=medium

  * New upstream release
  * Override lintian tag systemd-service-file-refers-to-unusual-wantedby-target
    for pipewire-system-services.

 -- Dylan Aïssi <daissi@debian.org>  Thu, 11 Sep 2025 11:15:09 +0200

pipewire (1.4.7-3ubuntu2) questing; urgency=medium

  * Add apport package hook
    - Based on recent experiences triaging Pipewire bugs.

 -- Charles <charles05@canonical.com>  Fri, 29 Aug 2025 09:01:42 +0100

pipewire (1.4.7-3ubuntu1) questing; urgency=medium

  * Merge with Debian (LP: #2120886). Remaining changes:
    - d/control, d/libpipewire-0.3-modules-extra.install,
      d/libpipewire-0.3-modules.install, d/libspa-0.2-modules-extra.install,
      d/libspa-0.2-modules.install:
      - create new binaries for the pipewire and spa modules which have
        universe dependencies.
    - d/control, d/libspa-0.2-bluetooth.install,
      d/libspa-0.2-modules-extra.install, d/pipewire.README.Debian,
      d/rules:
      - enable the aac bluetooth codec, libfdk-aac is in universe for now
        (MIR #1977614) but it's a separate .so which can be included in the
        new libspa-0.2-modules-extra binary (lp #1991936)
    - Move ffado driver manpage to modules-extra. The driver itself was
      moved recently, but the manpage was left behind. (LP: #2109909)
    - Add `Suggests: libpipewire-0.3-modules-extra (>=
      1.4.5-1ubuntu2)` per 7.6.1 of the policy manual.
    - Update `Replaces:` and `Breaks:` per 7.6.1 of the policy manual.

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Aug 2025 15:00:48 -0400

pipewire (1.4.7-3) unstable; urgency=medium

  * Adjust VCS fields in d/control and d/gbp.conf for unstable.
  * Upload to unstable.

 -- Dylan Aïssi <daissi@debian.org>  Mon, 11 Aug 2025 08:43:08 +0200

pipewire (1.4.7-2) experimental; urgency=medium

  * Install system-wide services in a new package (pipewire-system-services).
    (Closes: #1103237)
  * Create a system user and group "pipewire" using a sysusers file instead
    of doing it manually in maintainer scripts.

 -- Dylan Aïssi <daissi@debian.org>  Wed, 30 Jul 2025 11:00:21 +0200

pipewire (1.4.7-1) experimental; urgency=medium

  * New upstream release

 -- Dylan Aïssi <daissi@debian.org>  Mon, 28 Jul 2025 11:27:53 +0200

pipewire (1.4.6-1) experimental; urgency=medium

  * New upstream release

 -- Dylan Aïssi <daissi@debian.org>  Fri, 27 Jun 2025 14:58:58 +0200

pipewire (1.4.5-1ubuntu2) questing; urgency=medium

  * Move ffado driver manpage to modules-extra. The driver itself was
    moved recently, but the manpage was left behind. (LP: #2109909)
    - Add `Suggests: libpipewire-0.3-modules-extra (>=
      1.4.5-1ubuntu2)` per 7.6.1 of the policy manual.
    - Update `Replaces:` and `Breaks:` per 7.6.1 of the policy manual.

 -- Charles Turner <charles.turner@canonical.com>  Thu, 03 Jul 2025 12:41:46 +0100

pipewire (1.4.5-1ubuntu1) questing; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/control, d/libpipewire-0.3-modules-extra.install,
      d/libpipewire-0.3-modules.install, d/libspa-0.2-modules-extra.install,
      d/libspa-0.2-modules.install:
      - create new binaries for the pipewire and spa modules which have
        universe dependencies.
    - d/control, d/libspa-0.2-bluetooth.install,
      d/libspa-0.2-modules-extra.install, d/pipewire.README.Debian,
      d/rules:
      - enable the aac bluetooth codec, libfdk-aac is in universe for now
        (MIR #1977614) but it's a separate .so which can be included in the
        new libspa-0.2-modules-extra binary (lp #1991936)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 25 Jun 2025 11:08:11 +0200

pipewire (1.4.5-1) experimental; urgency=medium

  * New upstream release

 -- Dylan Aïssi <daissi@debian.org>  Wed, 04 Jun 2025 14:53:43 +0200

pipewire (1.4.4-1) experimental; urgency=medium

  [ Dylan Aïssi ]
  * New upstream release
  * debian/rules: Simplify the logic to enable SNAP support

  [ Sebastien Bacher ]
  * debian/rules: remove the logic to disable plugins on Ubuntu

 -- Dylan Aïssi <daissi@debian.org>  Thu, 29 May 2025 11:44:18 +0200

pipewire (1.4.3-1) experimental; urgency=medium

  * New upstream release
  * Adjust VCS fields in d/control and d/gbp.conf for experimental

 -- Dylan Aïssi <daissi@debian.org>  Thu, 22 May 2025 11:56:28 +0200

pipewire (1.4.2-1ubuntu4) questing; urgency=low

  * d/pipewire.README.Debian: Document Ubuntu-specific codec support.
    - (LP: #1991936)

 -- Charles Turner <charles.turner@canonical.com>  Mon, 23 Jun 2025 11:24:02 +0100

pipewire (1.4.2-1ubuntu3) questing; urgency=medium

  * d/libspa-0.2-bluetooth.install: workaround ldac being disabled on s390x

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 19 Jun 2025 23:25:08 +0200

pipewire (1.4.2-1ubuntu2) questing; urgency=medium

  * d/control, d/libspa-0.2-bluetooth.install,
    d/libspa-0.2-modules-extra.install, d/rules:
    - enable the aac bluetooth codec, libfdk-aac is in universe for now
      (MIR #1977614) but it's a separate .so which can be included in the
      new libspa-0.2-modules-extra binary (lp: #1991936)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 19 Jun 2025 17:19:35 +0200

pipewire (1.4.2-1ubuntu1) questing; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/rules: remove the logic to disable some of the plugins on Ubuntu,
      we want to build those now and include them in new binary packages
      which will be in universe.
    - d/control, d/libpipewire-0.3-modules-extra.install,
      d/libpipewire-0.3-modules.install, d/libspa-0.2-modules-extra.install,
      d/libspa-0.2-modules.install:
      - create new binaries for the pipewire and spa modules which have
        universe dependencies.

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 10 Jun 2025 13:03:04 +0200

pipewire (1.4.2-1) unstable; urgency=medium

  * New upstream release

 -- Dylan Aïssi <daissi@debian.org>  Mon, 14 Apr 2025 16:04:20 +0200

pipewire (1.4.1-1) unstable; urgency=medium

  * New upstream release
      - Fix segfault in audioconvert (Closes: #1100160)
      - Fix issue with Scarlett Solo 4th Gen (Closes: #1100157)
  * Drop Don-t-automatically-start-pipewire-for-root-logins.patch,
      included in upstream release.
  * Bump minimum libasound2-dev to 1.2.6
  * Bump minimum libroc-dev to 0.4.0
  * Bump minimum wireplumber to 0.5.0
  * Standards-Version: 4.7.2 (no changes required)
  * Install config files for multiple sample rates and upmixing in
      pipewire-bin and pipewire-pulse packages.

 -- Dylan Aïssi <daissi@debian.org>  Fri, 14 Mar 2025 13:10:32 +0100

pipewire (1.4.0-1) unstable; urgency=medium

  * New upstream release
  * Adjust VCS fields in d/control and d/gbp.conf
  * Upload to unstable

 -- Dylan Aïssi <daissi@debian.org>  Thu, 06 Mar 2025 17:10:21 +0100

pipewire (1.3.83-1) experimental; urgency=medium

  * New upstream release (1.4 release candidate 3)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 21 Feb 2025 09:07:46 +0100

pipewire (1.3.82-1) experimental; urgency=medium

  * New upstream release (1.4 release candidate 2)
  * Adjust path in debian/copyright

 -- Dylan Aïssi <daissi@debian.org>  Thu, 06 Feb 2025 13:37:54 +0100

pipewire (1.3.81-1) experimental; urgency=medium

  * New upstream release (1.4 release candidate 1)
  * Add libebur128-dev and libfftw3-dev in Build-Deps
      for filter-chain plugins.
  * No longer install client-rt.conf in pipewire-bin
  * Install the new filter-graph module and libspa.so in libspa-0.2-modules
  * Update symbols file
  * Adjust VCS fields in d/control and d/gbp.conf for experimental
  * Apply wrap-and-sort -a

 -- Dylan Aïssi <daissi@debian.org>  Thu, 23 Jan 2025 14:47:39 +0100

pipewire (1.2.7-1ubuntu6) questing; urgency=medium

  * Rebuild against latest libcamera

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 03 May 2025 11:58:18 -0400

pipewire (1.2.7-1ubuntu5) plucky; urgency=medium

  * Revert change to Build-Depends: libwebrtc-audio-processing-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 29 Jan 2025 08:28:33 -0500

pipewire (1.2.7-1ubuntu4) plucky; urgency=medium

  * No-change rebuild for libcamera soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 15 Jan 2025 13:37:57 +0100

pipewire (1.2.7-1ubuntu3) plucky; urgency=medium

  * Install libpipewire-module-ffado-driver.so in the new filters binary,
    it depends on libffado2 which is in universe

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 18 Dec 2024 11:43:50 +0100

pipewire (1.2.7-1ubuntu2) plucky; urgency=medium

  * debian/control: updated for the new webrtc-audio-processing version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 17 Dec 2024 23:50:26 +0100

pipewire (1.2.7-1ubuntu1) plucky; urgency=medium

  * Build lv2 and sofa modules and move them to separate
    libpipewire-3.0-modules-filters binary package (LP: #2054223)

 -- Tobias Heider <tobias.heider@canonical.com>  Tue, 17 Dec 2024 13:15:15 +0100

pipewire (1.2.7-1) unstable; urgency=medium

  * New upstream release
  * Update symbols file
  * Override shared-library-lacks-prerequisites lintian tag for
      libjacknet.so.0.3.*, it's a dummy library so no need to complain.

 -- Dylan Aïssi <daissi@debian.org>  Tue, 26 Nov 2024 11:50:10 +0100

pipewire (1.2.6-1) unstable; urgency=medium

  * New upstream release
  * Rename pipewire-devices.7 to pipewire-props.7
  * Add lintian overrides for groff-message in manpages

 -- Dylan Aïssi <daissi@debian.org>  Fri, 25 Oct 2024 11:58:28 +0200

pipewire (1.2.5-1) unstable; urgency=medium

  * New upstream release
  * Drop patch included in upstream release
  * Drop lintian overrides due to the t64 transition,
      no longer required since lintian 2.117.1

 -- Dylan Aïssi <daissi@debian.org>  Mon, 30 Sep 2024 14:37:57 +0200

pipewire (1.2.4-2) unstable; urgency=medium

  [ Alessandro Astone ]
  * Backport patch to fix muted sound on login (LP: #2080604)

 -- Dylan Aïssi <daissi@debian.org>  Thu, 26 Sep 2024 10:22:18 +0200

pipewire (1.2.4-1) unstable; urgency=medium

  * New upstream release (Closes: #1081904)

 -- Dylan Aïssi <daissi@debian.org>  Thu, 19 Sep 2024 17:54:25 +0200

pipewire (1.2.3-1) unstable; urgency=medium

  * New upstream release

 -- Dylan Aïssi <daissi@debian.org>  Thu, 22 Aug 2024 12:06:17 +0200

pipewire (1.2.2-1) unstable; urgency=medium

  * New upstream release

 -- Dylan Aïssi <daissi@debian.org>  Wed, 31 Jul 2024 14:14:11 +0200

pipewire (1.2.1-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum libasound2-dev to 1.2.5

 -- Dylan Aïssi <daissi@debian.org>  Fri, 12 Jul 2024 15:53:11 +0200

pipewire (1.2.0-1) unstable; urgency=medium

  * New upstream release
  * Adjust VCS fields in d/control and d/gbp.conf

 -- Dylan Aïssi <daissi@debian.org>  Fri, 28 Jun 2024 10:07:19 +0200

pipewire (1.1.83-1) experimental; urgency=medium

  * New upstream release (1.2 release candidate 3)
  * Update symbols file
  * Add branch debian/experimental in Vcs-Git

 -- Dylan Aïssi <daissi@debian.org>  Tue, 18 Jun 2024 17:39:33 +0200

pipewire (1.1.82-1) experimental; urgency=medium

  * New upstream release (1.2 release candidate 2)
  * Install new module snapcast-discover in libpipewire-0.3-modules

 -- Dylan Aïssi <daissi@debian.org>  Mon, 27 May 2024 13:13:56 +0200

pipewire (1.1.81-1) experimental; urgency=medium

  * New upstream release (1.2 release candidate 1)
  * Install new pw-container in pipewire-bin
  * Install new module parametric-equalizer in libpipewire-0.3-modules
  * Install org.freedesktop.pulseaudio.gschema.xml in pipewire-pulse,
      this file is required to use module-gsettings.
  * Mark pipewire-pulse in conflict with pulseaudio-module-gsettings,
      both provide org.freedesktop.pulseaudio.gschema.xml.
  * Update symbols file
  * Drop patches included in upstream release: debian/patches/snap/*

 -- Dylan Aïssi <daissi@debian.org>  Tue, 21 May 2024 17:41:31 +0200

pipewire (1.0.7-1) unstable; urgency=medium

  * New upstream release

 -- Dylan Aïssi <daissi@debian.org>  Mon, 27 May 2024 11:49:41 +0200

pipewire (1.0.6-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.7.0 (no changes required)
  * Disable snap support in Debian, keep it enabled only for Ubuntu
    (Closes: #1070348).
    Snap support requires a kernel feature (fine grained unix mediation)
    that is not yet enabled in Debian. So let's disable it for now,
    to avoid building an unusable feature and annoying users with
    warnings messages.
  * Fix debian/watch

 -- Dylan Aïssi <daissi@debian.org>  Fri, 10 May 2024 10:15:23 +0200

pipewire (1.0.5-1) unstable; urgency=medium

  [ Dylan Aïssi ]
  * New upstream release (Closes: #1069033, LP: #2061381)
  * Refresh patches
  * Drop patch included in upstream release:
      - 64-bit-time-t-compat.patch

  [ Jeremy Bícha ]
  * Revert "Temporarily disable Snap integration on 32-bit non-x86"
  * Revert "Temporarily disable libffado integration on 32-bit non-x86"

 -- Dylan Aïssi <daissi@debian.org>  Mon, 15 Apr 2024 21:08:58 +0200

pipewire (1.0.4-3) unstable; urgency=medium

  * Team upload

  [ Michael Hudson-Doyle ]
  * s/libpipewire-0.3-0/libpipewire-0.3-0t64/ in the shlibs.local files

  [ Simon McVittie ]
  * Only build Snap integration on supported architectures.
    According to Snap documentation, only these architectures are
    supported, so enabling the others is unlikely to be particularly
    useful. Reducing the architecture list reduces the impact of any
    non-portability in snapd-glib.
  * Temporarily disable Snap integration on 32-bit non-x86.
    snapd-glib has not yet been rebuilt for the 64-bit time_t transition.
    This change should be reverted after snapd-glib is rebuilt.
  * Temporarily disable libffado integration on 32-bit non-x86.
    Same reasoning as for snapd-glib, above.
    (Closes: #1067558)

 -- Simon McVittie <smcv@debian.org>  Sun, 24 Mar 2024 17:06:55 +0000

pipewire (1.0.4-2) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Use dh_installman to install manpages

  [ Steve Langasek ]
  * Add patch for 64-bit time_t compatibility (Closes: #1066839)

 -- Dylan Aïssi <daissi@debian.org>  Thu, 14 Mar 2024 10:12:07 +0100

pipewire (1.0.4-1) unstable; urgency=medium

  * New upstream release
  * Improve description of pw's ALSA and JACK packages (Closes: #1062262)
  * Install a README next to 9999-custom.conf explaining how to divert
      it (Closes: #1063898)
  * Cherry-pick more upstream patches improving snap support:
      - fed14321: snap-policy: ensure audio works with .deb snapd
      - 4d3658b2: snap-policy: fix memory leak
  * Install new manpages in their respective packages
  * Update symbols file
  * Update metadata of snap support patches

 -- Dylan Aïssi <daissi@debian.org>  Wed, 13 Mar 2024 14:31:58 +0100

pipewire (1.0.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063184

 -- Benjamin Drung <bdrung@debian.org>  Fri, 01 Mar 2024 12:42:26 +0000

pipewire (1.0.3-1) unstable; urgency=medium

  * New upstream release

 -- Dylan Aïssi <daissi@debian.org>  Fri, 02 Feb 2024 16:06:47 +0100

pipewire (1.0.2-1) unstable; urgency=medium

  [ Dylan Aïssi ]
  * New upstream release
  * Drop patches included in upstream release:
      - libcamera0.2 compatibility

  [ Jeremy Bícha ]
  * Cherry-pick patches from Sergio Costas for snap permissions support.
    CVE-2022-4964 (LP: #1995707)
  * Add apparmor and snapd-glib to Build-Depends for snap feature
  * Cherry-pick a patch to fix LP: #2051504

 -- Dylan Aïssi <daissi@debian.org>  Thu, 01 Feb 2024 13:01:35 +0100

pipewire (1.0.1-2) unstable; urgency=medium

  * Switch Build-Deps from systemd to systemd-dev (Closes: #1060598)
  * Use pkgconf instead of the transitional pkg-config
  * Bump minimum meson to 0.61.1
  * Drop 'dh_missing --fail-missing', default since debhelper compat 13
  * Bump minimum libcamera to 0.2.0
  * Cherry-pick upstream patches for libcamera0.2 compatibility

 -- Dylan Aïssi <daissi@debian.org>  Mon, 22 Jan 2024 17:24:44 +0100

pipewire (1.0.1-1) unstable; urgency=medium

  * New upstream release
  * Add lintian overrides for groff-message in manpages
  * Update upstream branch in debian/gbp.conf

 -- Dylan Aïssi <daissi@debian.org>  Thu, 11 Jan 2024 14:59:54 +0100

pipewire (1.0.0-3) unstable; urgency=medium

  * libpipewire-0.3-modules-x11: depend on libcanberra-pulse (Closes: #1059544)
      module-x11-bell requires the libcanberra PulseAudio backend.

 -- Dylan Aïssi <daissi@debian.org>  Fri, 05 Jan 2024 11:59:35 +0100

pipewire (1.0.0-2) experimental; urgency=medium

  * Install udev rules in /usr/lib/udev/rules.d (Closes: #1057233)
    Thanks to Chris Hofstaedtler.
  * Extend hurd-i386 restrictions to hurd-any
  * Build-Depend on the fixed version of libroc-dev: remove the now
    useless build-deps on libuv1-dev and libspeexdsp-dev.

 -- Dylan Aïssi <daissi@debian.org>  Thu, 21 Dec 2023 16:55:55 +0100

pipewire (1.0.0-1) unstable; urgency=medium

  * New upstream release
  * Install new manpages in their respective packages
  * Update symbols file, 1 symbol is dropped in 1.0.0:
      - pw_in_valgrind@Base 0.3.6
      See commit 2738bb4c.
  * Build ROC modules (Closes: #1002630)
    - Add libroc-dev in Build-Deps
    - Add libuv1-dev and libspeexdsp-dev in Build-Deps, those are missing
      dependencies of libroc-dev. Will dropped once libroc-dev is fixed.

 -- Dylan Aïssi <daissi@debian.org>  Mon, 27 Nov 2023 11:37:05 +0100

pipewire (0.3.85-1) unstable; urgency=medium

  * New upstream release

 -- Dylan Aïssi <daissi@debian.org>  Thu, 16 Nov 2023 12:12:15 +0100

pipewire (0.3.84-1) unstable; urgency=medium

  * New upstream release
  * Update symbols file

 -- Dylan Aïssi <daissi@debian.org>  Thu, 02 Nov 2023 17:57:57 +0100

pipewire (0.3.83-1) unstable; urgency=medium

  * New upstream release
  * Disable libcamera-dev from build-deps for hurd-i386
  * Refresh Don-t-automatically-start-pipewire-for-root-logins.patch

 -- Dylan Aïssi <daissi@debian.org>  Fri, 20 Oct 2023 16:20:29 +0200

pipewire (0.3.82-1) unstable; urgency=medium

  * New upstream release
  * Update symbols file, 1 symbol is dropped in 0.3.82:
      - _pw_log_topic_new@Base 0.3.38
      See commit 57404e44.
  * Mark libbluetooth-dev as a linux-any only Build-deps because not available
      on GNU/Hurd.

 -- Dylan Aïssi <daissi@debian.org>  Fri, 13 Oct 2023 11:26:00 +0200

pipewire (0.3.81-1) experimental; urgency=medium

  * New upstream release
      - Use malloc_trim() when available to release memory (Closes: #1015915)
  * Drop patch included in upstream release:
      - 1f1c308c: aec: support both webrtc versions
  * Switch packages architecture from linux-any to any
      - GNU/Hurd support was added

 -- Dylan Aïssi <daissi@debian.org>  Sun, 08 Oct 2023 14:28:05 +0200

pipewire (0.3.80-2) unstable; urgency=medium

  * Cherry-pick upstream recommended patch:
      - 1f1c308c: aec: support both webrtc versions
  * Re-enable webrtc-audio-processing in Build-Deps

 -- Dylan Aïssi <daissi@debian.org>  Fri, 15 Sep 2023 14:37:24 +0200

pipewire (0.3.80-1) experimental; urgency=medium

  * New upstream release
  * Drop patches included in upstream release
  * Disable webrtc-audio-processing in Build-Deps:
      pipewire now requires webrtc-audio-processing >= 1.2 which is not yet
      available in Debian. Therefore the echo-canceller module is not built
      anymore, and because this module is used and upstream advised against
      disabling it, new versions of pipewire will only target experimental until
      we can re-enable it.

 -- Dylan Aïssi <daissi@debian.org>  Thu, 14 Sep 2023 15:59:17 +0200

pipewire (0.3.79-2) unstable; urgency=medium

  [ Boud Roukema ]
  * pipewire.README.Debian: Include 3 ways of restarting pipewire-related
      services (Closes: #1050498)

  [ Dylan Aïssi ]
  * Cherry-pick upstream patches to fix build on alpha (Closes: #1051128)
  * Add noinsttest build profile (Closes: #1051191)
  * Use a wildcard in d/libpipewire-0.3-modules.install to facilitate
      downstream packaging (Closes: #1040330)

 -- Dylan Aïssi <daissi@debian.org>  Mon, 11 Sep 2023 12:12:58 +0200

pipewire (0.3.79-1) unstable; urgency=medium

  * New upstream release
      - Make it easier to add a custom profile in ACP (Closes: #1050293)

 -- Dylan Aïssi <daissi@debian.org>  Tue, 29 Aug 2023 11:09:28 +0200

pipewire (0.3.78-1) unstable; urgency=medium

  * New upstream release
  * Drop pipewire-media-session from Recommends fields
      since it is no longer part of Debian, see #1043405

 -- Dylan Aïssi <daissi@debian.org>  Tue, 22 Aug 2023 13:51:52 +0200

pipewire (0.3.77-1) unstable; urgency=low

  * New upstream release
      - x11-bell: protect libcanberra calls with a mutex (Closes: #1025427)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 04 Aug 2023 12:10:13 +0200

pipewire (0.3.76-1) unstable; urgency=low

  [ Dylan Aïssi ]
  * New upstream release
  * Update symbols file, 2 symbols are dropped in 0.3.75:
      - pw_context_driver_add_listener@Base 0.3.72
      - pw_context_driver_remove_listener@Base 0.3.72
      See commit cfd3bcd6.
  * Install new modules vban-recv and vban-send
      in libpipewire-0.3-modules.

  [ Evangelos Ribeiro Tzaras ]
  * pipewire-doc: Register documentation with doc-base

 -- Dylan Aïssi <daissi@debian.org>  Fri, 28 Jul 2023 11:36:53 +0200

pipewire (0.3.74-1) unstable; urgency=medium

  * New upstream release
  * Update symbols file

 -- Dylan Aïssi <daissi@debian.org>  Wed, 12 Jul 2023 12:41:04 +0200

pipewire (0.3.73-1) unstable; urgency=medium

  [ Dylan Aïssi ]
  * New upstream release
  * Install new modules filter-chain-lv2 and filter-chain-sofa
      in libpipewire-0.3-modules.
  * Update symbols file, 1 symbol is dropped: pw_proxy_get_core@Base 0.3.1
      This function is not declared in any header files, nor used by anything.
      See commit 54a9b30e.

  [ Sebastien Bacher ]
  * Don't use libffafo in the Ubuntu build for now since the package
      is in universe

 -- Dylan Aïssi <daissi@debian.org>  Thu, 06 Jul 2023 14:50:07 +0200

pipewire (0.3.72-2) unstable; urgency=medium

  * Upload to unstable
  * Improve description of libspa-0.2-libcamera

 -- Dylan Aïssi <daissi@debian.org>  Mon, 03 Jul 2023 09:59:54 +0200

pipewire (0.3.72-1) experimental; urgency=medium

  * New upstream release
  * Rename pipewire-libcamera to libspa-0.2-libcamera (Closes: #1030953)
      pipewire-libcamera is now a transitional package.
  * Improve packages description by mentioning audio functions
      (Closes: #1039018)
  * Drop patch included in upstream release:
      - ce71b37b: fixes a bug with buffer_size updates for JACK apps
  * Add libffado-dev in Build-Deps
  * Install new modules ffado-driver, netjack2-driver and netjack2-manager
      in libpipewire-0.3-modules.
  * Update symbols file

 -- Dylan Aïssi <daissi@debian.org>  Mon, 26 Jun 2023 14:44:38 +0200

pipewire (0.3.71-2) unstable; urgency=medium

  * Upload to unstable
  * Remove minimum version of libcamera-dev, not yet in unstable

 -- Dylan Aïssi <daissi@debian.org>  Mon, 12 Jun 2023 11:59:49 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libspa-0.2-modules-extra`.
